cascading.flow.planner

## Class FlowPlanner.IdentityElementFactgory

- java.lang.Object
- - cascading.flow.planner.rule.transformer.IntermediatePipeElementFactory
  - - cascading.flow.planner.FlowPlanner.IdentityElementFactgory

All Implemented Interfaces:
  ElementFactory

Enclosing class:
  FlowPlanner<F extends BaseFlow,Config>

    public class FlowPlanner.IdentityElementFactgory
    extends IntermediatePipeElementFactory

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.transformer.IntermediatePipeElementFactory

`IDENTITY`

### Constructor Summary

Constructors
Constructor and Description
`FlowPlanner.IdentityElementFactgory()`

### Method Summary

Methods
`FlowElement` `create(ElementGraph graph, FlowElement flowElement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowPlanner.IdentityElementFactgory

    public FlowPlanner.IdentityElementFactgory()

### Method Detail

#### create

    public FlowElement create(ElementGraph graph,
                     FlowElement flowElement)